<?php
//Pega Dados da Sessao Existente para conferencia

if (isset($_SESSION['IdSessao'])) 
{
  include("ClasseSenha.php");
  $SupostaSenha = new senha;

  $SupostaSenha->usuario    = $_SESSION["nome"];
  $SupostaSenha->senha      = $_SESSION["senha"];
  $SupostaSenha->privilegio = $_SESSION["privilegio"];
  $SupostaSenha->CodTemp    = $_SESSION["IdSessao"];


  include("ClasseSysLOG.php");
  $NovoLOG = new sysLOG;

  $NovoLOG->IdPagina        = $_SESSION["IdPagina"];
  $NovoLOG->IdSistema       = $_SESSION["IdSistema"];

  $NovoLOG->DtHrIniLogin    = $_SESSION["InicioLogin"];
  $NovoLOG->DtHrTerLogin    = date("Y/m/d H:i:s");
  $NovoLOG->Operacao        = $_SESSION["Operacao"];
  $NovoLOG->UsuAlvo         = $_SESSION["UsuarioAlvo"];

  $NovoLOG->IdUsuario       = $_SESSION["nome"];
  $NovoLOG->CodigoLogin     = $_SESSION['IdSessao'];
  $NovoLOG->IdIP            = $_SESSION["IdIP"];
  $NovoLOG->NomeHost        = $_SESSION["IdHost"];
  $NovoLOG->DataHoraTermino = date("Y/m/d H:i:s");
  $NovoLOG->TextoAcesso     = '';
  $NovoLOG->Refutado        = 'N';

  //Checa se h a possibilidade de existir comando SQL ou codigo malicioso que possa ser interpretado pelo SQL
  if ( ($SupostaSenha->TestaInjectSQL($SupostaSenha->CodTemp)) and ($SupostaSenha->TestaInjectSQL($NovoLOG->IdPagina)) and
       ($SupostaSenha->TestaInjectSQL($SupostaSenha->usuario))     and ($SupostaSenha->TestaInjectSQL($SupostaSenha->senha)) and
       ($SupostaSenha->TestaInjectSQL($SupostaSenha->privilegio))     )
   {
 
     //Verificar se tem alguem com o cookie logado

     //Pega Privilegio minimo para Acessar a Pagina PHP
     include("ClasseSysPagina.php");
     $SupostaPagina   = new syspagina;

     $SupostaPagina->IdPagina         = $NovoLOG->IdPagina;
     $SupostaPagina->Requisito        = $SupostaPagina->RequisitoPriv();

     //Confere se Dados da Sessao so de Usurios Vlidos e Com privilgios adequados
     $SupostaSenha->CodAcesso = $SupostaPagina->Privilegio();
  
     //Checa se Privilegio de Usuario  suficiente para Acessar a Pagina PHP
     If ($SupostaSenha->ConfPrivilegio())
      {

        If  ($SupostaSenha->Confere())
         {
            //Conferir Se codigo da sesso coincide com o armazenado na tabela
            If ( $SupostaSenha->ConfCodTemp() )
             {
//               echo "Codigo Temp Sessao CONFERE - Acessar LOGIN";
             }
            else
             {
               $_SESSION["TerminoLogin"] = date("Y/m/d H:i:s");
               $_SESSION["Operacao"] = 'AutenticacaoLogin';
               $_SESSION["Mensagem"] = "Codigo Temp Sessao NO CONFERE - Voltar para LOGIN";
               $_SESSION["Refutado"] = 'S'; 
               header("Location: Desabilita.php");
             }

         }
        else
         {
            $_SESSION["TerminoLogin"] = date("Y/m/d H:i:s");
            $_SESSION["Operacao"] = 'AutenticacaoLogin';
            $_SESSION["Mensagem"] = "Dados Sessao NO CONFEREM - Voltar para LOGIN";
            $_SESSION["Refutado"] = 'S'; 
            header("Location: Desabilita.php");
         }

      }
     else
      {
         $_SESSION["TerminoLogin"] = date("Y/m/d H:i:s");
         $_SESSION["Operacao"] = 'AutenticacaoLogin';
         $_SESSION["Mensagem"] = "Privilegio Usuario Insuficiente para Acessar essa Pagina - Voltar para LOGIN";
         $_SESSION["Refutado"] = 'S'; 
         header("Location: Desabilita.php");
      }

 
   }
  else
   {
      $_SESSION["TerminoLogin"] = date("Y/m/d H:i:s");
      $_SESSION["Operacao"] = 'AutenticacaoLogin';
      $_SESSION["Mensagem"] = 'LOGIN SQL Injection!!  - Digite Texto Vlido!!';
      $_SESSION["Refutado"] = 'S'; 
      header("Location: Desabilita.php");
   }
}
else
{
  echo 'Chamarei desabilita';
  $_SESSION["TerminoLogin"] = date("Y/m/d H:i:s");
  $_SESSION["Operacao"] = 'AutenticacaoLogin';
  $_SESSION["Mensagem"] = 'Tentativa Acesso sem LOGIN Valido!!';
  $_SESSION["Refutado"] = 'S'; 
  Include("Desabilita.php");
  header("Location: FormAcessoSenha.php");
}

?>
